NestedPropertySupport (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Interface NestedPropertySupport

All Superinterfaces:
  NestedTagSupport

All Known Subinterfaces:
  NestedNameSupport, NestedParentSupport

All Known Implementing Classes:
  NestedCheckboxTag, NestedDefineTag, NestedEmptyTag, NestedEqualTag, NestedErrorsTag, NestedFileTag, NestedFormTag, NestedGreaterEqualTag, NestedGreaterThanTag, NestedHiddenTag, NestedImageTag, NestedImgTag, NestedIterateTag, NestedLessEqualTag, NestedLessThanTag, NestedLinkTag, NestedMatchTag, NestedMessagesNotPresentTag, NestedMessagesPresentTag, NestedMessagesTag, NestedMessageTag, NestedMultiboxTag, NestedNotEmptyTag, NestedNotEqualTag, NestedNotMatchTag, NestedNotPresentTag, NestedOptionsCollectionTag, NestedOptionsTag, NestedPasswordTag, NestedPresentTag, NestedPropertyTag, NestedRadioTag, NestedRootTag, NestedSelectTag, NestedSizeTag, NestedSubmitTag, NestedTextareaTag, NestedTextTag, NestedWriteTag

    public interface NestedPropertySupport

extends NestedTagSupport

This interface is for managing classes of the nested extension, so they can know to set the tag's property property.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $

Method Summary
`String` | `getProperty()` The getters and setters required to set a tags property property.
`void` | `setProperty(String newProperty)` The setter for the poroperty property

Method Detail

### getProperty

    String getProperty()

  The getters and setters required to set a tags property property.

  Returns:
    String value of the tags' property property

### setProperty

    void setProperty(String newProperty)

  The setter for the poroperty property

  Parameters:
    `newProperty` - new String value to set the property property to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.